package com.tmerclub.cloud.cuerecycle.service;

import com.tmerclub.cloud.common.database.dto.PageDTO;
import com.tmerclub.cloud.common.database.vo.PageVO;
import com.tmerclub.cloud.cuerecycle.model.dto.CueBrandDTO;
import com.tmerclub.cloud.cuerecycle.model.vo.CueBrandVO;

/**
 * 球杆品牌Service接口
 *
 * @author : frank
 * @create : 2025-04-11
 */
public interface CueBrandService {

    /**
     * 获取球杆品牌分页列表
     *
     * @param pageDTO     分页参数
     * @param cueBrandDTO 查询参数
     * @return 分页数据
     */
    PageVO<CueBrandVO> page(PageDTO pageDTO, CueBrandDTO cueBrandDTO);

    /**
     * 根据类型查询
     *
     * @return 球杆品牌
     */
    PageVO<CueBrandVO> listEnabled(PageDTO pageDTO);

    /**
     * 获取球杆品牌详情
     *
     * @param brandId 主键
     * @return 球杆品牌详情
     */
    CueBrandVO getById(Long brandId);

    /**
     * 新增球杆品牌
     *
     * @param cueBrandDTO 新增参数
     * @return 新增结果
     */
    int save(CueBrandDTO cueBrandDTO);

    /**
     * 修改球杆品牌
     *
     * @param cueBrandDTO 修改参数
     * @return 修改结果
     */
    int update(CueBrandDTO cueBrandDTO);

    /**
     * 删除球杆品牌
     *
     * @param brandId 主键
     * @return 删除结果
     */
    int delete(Long brandId);
}